# Колпачный фреймворк для ВКонтакте
Развивается как многопоточный фреймворк с поддержкой всех возможностей API ВКонтакте, а так же не добавленных, но необходимых функций, работу с большим количеством роботов под разными сессиями, поддерживающий PSR-спецификацию и полностью покрытый тестами

### Установка:
```sh
$ composer install hood/vk
```
### Пример использования:
```php
use hood\vk\core;
use hood\accounts\vk;

// Подключение библеотек
require_once './vendor/autoload.php';


// Инициализация ядра
$core = core::init();

// Инициализация робота
$robot = $core->group(ACCOUNT_ID)->key(ACCOUNT_KEY);
$robot = $core->auth(ACCOUNT_LOGIN, ACCOUNT_PASSWORD)->key(ACCOUNT_KEY);

// Инициализация пользователя ВКонтакте
$account = (new vk($id))->auth('login', 'password')->key($project_id);

// Инициализация робота-группы
$robot = core::init()->group($account);

// Отправка сообщения
$robot->message($to, 'Привет, я создал робота!');
```
